commit bc175c277f74c656ff3d220d22b9d8baac955fa8
Author: Assos Assos <assos+forge@centrale-marseille.fr>
Date:   Thu Aug 16 02:18:46 2018 +0200

    Weekly update of contrib modules

diff --git a/drupal7/sites/all/modules/honeypot/honeypot.info b/drupal7/sites/all/modules/honeypot/honeypot.info
index 99be9dc7..6ce86d53 100644
--- a/drupal7/sites/all/modules/honeypot/honeypot.info
+++ b/drupal7/sites/all/modules/honeypot/honeypot.info
@@ -6,9 +6,8 @@ package = "Spam control"
 
 files[] = honeypot.test
 
-; Information added by Drupal.org packaging script on 2018-02-27
-version = "7.x-1.24"
+; Information added by Drupal.org packaging script on 2018-08-09
+version = "7.x-1.25"
 core = "7.x"
 project = "honeypot"
-datestamp = "1519706887"
-
+datestamp = "1533849190"
diff --git a/drupal7/sites/all/modules/honeypot/honeypot.install b/drupal7/sites/all/modules/honeypot/honeypot.install
index 150c68c3..c17b4cb4 100644
--- a/drupal7/sites/all/modules/honeypot/honeypot.install
+++ b/drupal7/sites/all/modules/honeypot/honeypot.install
@@ -69,7 +69,7 @@ function honeypot_uninstall() {
   }
 
   // Delete 'honeypot' directory from files directory.
-  file_unmanaged_delete_recursive(file_default_scheme() . '://honeypot');
+  file_unmanaged_delete_recursive(honeypot_file_default_scheme() . '://honeypot');
 }
 
 /**
diff --git a/drupal7/sites/all/modules/honeypot/honeypot.module b/drupal7/sites/all/modules/honeypot/honeypot.module
index 8623e308..e8137966 100644
--- a/drupal7/sites/all/modules/honeypot/honeypot.module
+++ b/drupal7/sites/all/modules/honeypot/honeypot.module
@@ -78,7 +78,7 @@ function honeypot_form_alter(&$form, &$form_state, $form_id) {
   if (variable_get('honeypot_protect_all_forms', 0) && !in_array($form_id, $unprotected_forms)) {
     // Don't protect system forms - only admins should have access, and system
     // forms may be programmatically submitted by drush and other modules.
-    if (strpos($form_id, 'system_') === FALSE && strpos($form_id, 'search_') === FALSE && strpos($form_id, 'views_exposed_form_') === FALSE) {
+    if (preg_match('/[^a-zA-Z]system_/', $form_id) === 0 && preg_match('/[^a-zA-Z]search_/', $form_id) === 0 && preg_match('/[^a-zA-Z]views_exposed_form_/', $form_id) === 0) {
       honeypot_add_form_protection($form, $form_state, array('honeypot', 'time_restriction'));
     }
   }
@@ -503,7 +503,7 @@ function honeypot_log_failure($form_id, $type) {
  *   The path to the honeypot.css file.
  */
 function honeypot_get_css_file_path() {
-  return file_default_scheme() . '://honeypot/honeypot.css';
+  return honeypot_file_default_scheme() . '://honeypot/honeypot.css';
 }
 
 /**
@@ -513,7 +513,7 @@ function honeypot_get_css_file_path() {
  *   The honeypot element class name (e.g. 'url').
  */
 function honeypot_create_css($element_name) {
-  $path = file_default_scheme() . '://honeypot';
+  $path = honeypot_file_default_scheme() . '://honeypot';
 
   if (!file_prepare_directory($path, FILE_CREATE_DIRECTORY)) {
     drupal_set_message(t('Unable to create Honeypot CSS directory, %path. Check the permissions on your files directory.', array('%path' => file_uri_target($path))), 'error');
@@ -592,3 +592,15 @@ function honeypot_get_time_from_signed_timestamp($signed_timestamp) {
 
   return $honeypot_time;
 }
+
+/**
+ * Gets the default file stream for honeypot.
+ *
+ * @return
+ *   'public', 'private' or any other file scheme defined as the default.
+ *
+ * @see file_default_scheme()
+ */
+function honeypot_file_default_scheme() {
+  return variable_get('honeypot_file_default_scheme', file_default_scheme());
+}
diff --git a/drupal7/sites/all/modules/honeypot/honeypot.test b/drupal7/sites/all/modules/honeypot/honeypot.test
index c0c1fffe..aab7f6e0 100644
--- a/drupal7/sites/all/modules/honeypot/honeypot.test
+++ b/drupal7/sites/all/modules/honeypot/honeypot.test
@@ -387,6 +387,39 @@ class HoneypotCssTestCase extends DrupalWebTestCase {
     // Make sure the Honeypot CSS file exists.
     $this->assertTrue(file_exists($honeypot_css));
   }
+
+  /**
+   * Test CSS file availability.
+   */
+  public function testHoneypotCssAvailability() {
+    // Public CSS file can be consumed.
+    variable_set('file_default_scheme', 'public');
+    if ($wrapper = file_stream_wrapper_get_instance_by_uri(honeypot_get_css_file_path())) {
+      $url = $wrapper->getExternalUrl();
+    }
+    $this->drupalGet($url);
+    $this->assertResponse(200);
+
+
+    // Private CSS file can not be consumed.
+    variable_set('file_default_scheme', 'private');
+    honeypot_cron();
+    if ($wrapper = file_stream_wrapper_get_instance_by_uri(honeypot_get_css_file_path())) {
+      $url = $wrapper->getExternalUrl();
+    }
+    $this->drupalGet($url);
+    $this->assertNoResponse(200);
+
+    // Site default is private, but override honeypot's to public to consume.
+    variable_set('honeypot_file_default_scheme', 'public');
+    honeypot_cron();
+    if ($wrapper = file_stream_wrapper_get_instance_by_uri(honeypot_get_css_file_path())) {
+      $url = $wrapper->getExternalUrl();
+    }
+    $this->drupalGet($url);
+    $this->assertResponse(200);
+  }
+
 }
 
 /**
@@ -444,4 +477,5 @@ class HoneypotTriggerTestCase extends DrupalWebTestCase {
     $this->drupalGet('node');
     $this->assertText(t('has been banned'), 'User banned successfully.');
   }
+
 }
diff --git a/drupal7/sites/all/modules/honeypot/tests/honeypot_test.info b/drupal7/sites/all/modules/honeypot/tests/honeypot_test.info
index d8e102b9..89aa78bc 100644
--- a/drupal7/sites/all/modules/honeypot/tests/honeypot_test.info
+++ b/drupal7/sites/all/modules/honeypot/tests/honeypot_test.info
@@ -4,9 +4,8 @@ core = 7.x
 package = Testing
 hidden = true
 
-; Information added by Drupal.org packaging script on 2018-02-27
-version = "7.x-1.24"
+; Information added by Drupal.org packaging script on 2018-08-09
+version = "7.x-1.25"
 core = "7.x"
 project = "honeypot"
-datestamp = "1519706887"
-
+datestamp = "1533849190"
diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/LdapAuthenticationConfAdmin.class.php b/drupal7/sites/all/modules/ldap/ldap_authentication/LdapAuthenticationConfAdmin.class.php
index 21f9493d..5c43c51d 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/LdapAuthenticationConfAdmin.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/LdapAuthenticationConfAdmin.class.php
@@ -114,9 +114,8 @@ class LdapAuthenticationConfAdmin extends LdapAuthenticationConf {
         'users of this site to be authenticated by visiting the URL ' .
         '"user/login/sso, or automatically if selecting "automated ' .
         'single sign-on" below. Set up of LDAP authentication must be ' .
-        'performed on the web server. Please review the !readme file ' .
-        'for more information.', array('!readme' =>
-        l(t('README.txt'), drupal_get_path('module', 'ldap_sso') . '/README.txt')))
+        'performed on the web server. Please review the readme file of the '.
+        'ldap_sso module for more information.')
         . '</p>';
 
       $values['ssoExcludedPathsDescription'] = '<p>' .
@@ -379,7 +378,7 @@ class LdapAuthenticationConfAdmin extends LdapAuthenticationConf {
       '#title' => t('Deny access to users without Ldap Authorization Module
         authorization mappings such as Drupal roles.
         Requires LDAP Authorization to be enabled and configured!'),
-      '#default_value' =>  $this->excludeIfNoAuthorizations,
+      '#default_value' => $this->excludeIfNoAuthorizations,
       '#description' => t($this->excludeIfNoAuthorizationsDescription, $tokens),
       '#disabled' => (boolean)(!module_exists('ldap_authorization')),
     );
diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.api.php b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.api.php
index cde4a31b..c656af1d 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.api.php
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.api.php
@@ -2,43 +2,44 @@
 
 /**
  * @file
- * summary of hooks and other developer related functions
+ * Summary of hooks and other developer related functions.
  */
 
 /**
- * Allow a custom module to examine the user's ldap details
- * and refuse authentication.  See also: http://drupal.org/node/1634930
+ * Allow a custom module to check user's ldap details and refuse authentication.
  *
- *  @param array $ldap_user
- *    See README.developers.txt for structure
- *  @param string $name
- *    The drupal account name or proposed drupal account name if none exists yet
- *  @param boolean $hook_result
- *    TRUE for allow, FALSE for deny.
- *    If set to TRUE or FALSE, another module has already set this and function should
- *    be careful about overriding this.
+ * See also: http://drupal.org/node/1634930.
  *
- *  @return boolean &$hook_result passed by reference
+ * @param array $ldap_user
+ *   See README.developers.txt for structure.
+ * @param string $name
+ *   The drupal account name or proposed drupal account name if none exists yet.
+ * @param bool $hook_result
+ *   TRUE for allow, FALSE for deny.
+ *   If set to TRUE or FALSE, another module has already set this and function
+ *   should be careful about overriding this.
  */
-function hook_ldap_authentication_allowuser_results_alter($ldap_user, $name, &$hook_result) {
-
-  if ($hook_result === FALSE) { // other module has denied user, should not override
+function hook_ldap_authentication_allowuser_results_alter(array $ldap_user, $name, &$hook_result) {
+  // Other module has denied user, should not override.
+  if ($hook_result === FALSE) {
     return;
   }
-  elseif ($hook_result === TRUE) { // other module has allowed, maybe override
+  // Other module has allowed, maybe override.
+  elseif ($hook_result === TRUE) {
     if (mymodule_dissapproves($ldap_user, $name)) {
       $hook_result = FALSE;
     }
   }
-
 }
 
 /**
- * Allow a custom module to alter $ldap_user before validating user login.
+ * Allow a custom module to alter $ldap_user.
  *
- *  @param array $ldap_user
- *    See README.developers.txt for structure
+ * @param array $ldap_user
+ *   See README.developers.txt for structure.
+ * @param array $params
+ *   Array of parameters. Includes account key with the Drupal account as value.
  */
-function hook_ldap_entry_alter(&$ldap_user) {
+function hook_ldap_entry_alter(array &$ldap_user, array $params) {
   $ldap_user['mail'] = 'newmail@example.com';
 }
diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.inc b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.inc
index ac2e9d1e..58187df0 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.inc
@@ -36,7 +36,7 @@ function _ldap_authentication_login_form_alter(&$form, &$form_state, $form_id) {
 
   if (@in_array('user_login_authenticate_validate', $form['#validate']) && $auth_conf->authenticationMode) {
     $key = array_search('user_login_authenticate_validate', $form['#validate']);
-    $form['#validate'][$key] =  'ldap_authentication_core_override_user_login_authenticate_validate';
+    $form['#validate'][$key] = 'ldap_authentication_core_override_user_login_authenticate_validate';
     array_splice($form['#validate'], $key + 1, 0, 'ldap_authentication_user_login_authenticate_validate');
   }
 
@@ -207,7 +207,7 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
     elseif ($auth_conf->authenticationMode == LDAP_AUTHENTICATION_EXCLUSIVE) {
       if ($detailed_watchdog_log) {
         watchdog('ldap_authentication', '%username : Previously authenticated in exclusive mode or uid is not 1.  Clear uid
-        in form_state and attempt ldap authentication.',  $watchdog_tokens, WATCHDOG_DEBUG);
+        in form_state and attempt ldap authentication.', $watchdog_tokens, WATCHDOG_DEBUG);
       }
       $form_state['uid'] = NULL;  // passed previous authentication, but only ldap should be used so override
     }
@@ -217,7 +217,7 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
   * II. Exit if no authentication servers.
   */
   if (!$auth_conf->hasEnabledAuthenticationServers()) {
-    watchdog('ldap_authentication',  'No LDAP servers configured.', array(), WATCHDOG_ERROR);
+    watchdog('ldap_authentication', 'No LDAP servers configured.', array(), WATCHDOG_ERROR);
     form_set_error('name', 'Server Error:  No LDAP servers configured.');
     return;
   }
@@ -236,7 +236,8 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
    * IV. test credentials and if available get corresponding ldap user and ldap server
    */
   list($authentication_result, $ldap_user, $ldap_server_authenticated_on) = ldap_authentication_test_credentials($auth_conf, $sso_login, $authname, $form_state['values']['pass'], $watchdog_tokens);
-  drupal_alter('ldap_entry', $ldap_user);
+  $params['account'] = $drupal_account;
+  drupal_alter('ldap_entry', $ldap_user, $params);
   if ($authentication_result != LDAP_AUTHENTICATION_RESULT_SUCCESS) {
     ldap_authentication_fail_response($authentication_result, $auth_conf, $detailed_watchdog_log, $watchdog_tokens);
     return;
@@ -257,7 +258,7 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
     $watchdog_tokens['%account_name_attr'] = $ldap_server_authenticated_on->account_name_attr;
     $drupal_accountname = $ldap_user['attr'][ldap_server_massage_text($ldap_server_authenticated_on->account_name_attr, 'attr_name', LDAP_SERVER_MASSAGE_QUERY_ARRAY)][0];
     if (!$drupal_accountname) {
-      watchdog('ldap_authentication',  'Derived drupal username from attribute %account_name_attr returned no username for authname %authname.', $watchdog_tokens, WATCHDOG_ERROR);
+      watchdog('ldap_authentication', 'Derived drupal username from attribute %account_name_attr returned no username for authname %authname.', $watchdog_tokens, WATCHDOG_ERROR);
       return;
     }
   }
@@ -369,7 +370,7 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
 
     $watchdog_tokens['%username'] = $drupal_account->name;
     if (!$updated_account = user_save($drupal_account, $user_edit)) {
-      watchdog('ldap_authentication', 'Failed to make changes to user %username updated %changed.', $watchdog_tokens,  WATCHDOG_ERROR);
+      watchdog('ldap_authentication', 'Failed to make changes to user %username updated %changed.', $watchdog_tokens, WATCHDOG_ERROR);
     }
     elseif ($auth_conf->emailUpdate == LDAP_AUTHENTICATION_EMAIL_UPDATE_ON_LDAP_CHANGE_ENABLE_NOTIFY ) {
       if (isset($user_edit['mail'])) {
@@ -513,10 +514,10 @@ function ldap_authentication_corresponding_drupal_user($authname, $auth_conf, &$
     $drupal_account_is_authmapped = isset($authmaps['ldap_user']);
     $user_data = $drupal_account->data;
     if ($drupal_account->uid == 1 && $detailed_watchdog_log) {
-      watchdog('ldap_authentication',  '%username : Drupal username maps to user 1, so do not authenticate with ldap', $watchdog_tokens, WATCHDOG_DEBUG);
+      watchdog('ldap_authentication', '%username : Drupal username maps to user 1, so do not authenticate with ldap', $watchdog_tokens, WATCHDOG_DEBUG);
     }
     elseif ($detailed_watchdog_log) {
-      watchdog('ldap_authentication',  '%username : Drupal User Account found.  Continuing on to attempt ldap authentication', $watchdog_tokens, WATCHDOG_DEBUG);
+      watchdog('ldap_authentication', '%username : Drupal User Account found.  Continuing on to attempt ldap authentication', $watchdog_tokens, WATCHDOG_DEBUG);
     }
   }
   else {  // account does not exist
@@ -552,13 +553,13 @@ function ldap_authentication_test_credentials($auth_conf, $sso_login, $authname,
       $authentication_result = LDAP_AUTHENTICATION_RESULT_FAIL_CONNECT;
       $watchdog_tokens['%err_msg'] = $ldap_server->errorMsg('ldap');
       if ($detailed_watchdog_log) {
-        watchdog('ldap_authentication',  '%username : Failed connecting to %sid.  Error: %err_msg', $watchdog_tokens, WATCHDOG_DEBUG);
+        watchdog('ldap_authentication', '%username : Failed connecting to %sid.  Error: %err_msg', $watchdog_tokens, WATCHDOG_DEBUG);
       }
       $watchdog_tokens['%err_msg'] = NULL;
       continue; // next server, please
     }
     elseif ($detailed_watchdog_log) {
-      watchdog('ldap_authentication',  '%username : Success at connecting to %sid', $watchdog_tokens, WATCHDOG_DEBUG);
+      watchdog('ldap_authentication', '%username : Success at connecting to %sid', $watchdog_tokens, WATCHDOG_DEBUG);
     }
 
     $bind_success = FALSE;
@@ -576,7 +577,7 @@ function ldap_authentication_test_credentials($auth_conf, $sso_login, $authname,
       // with sso enabled this method of binding isn't valid
       foreach ($ldap_server->basedn as $basedn) {
         $search = array('%basedn', '%username');
-        $transformname =  $ldap_server->userUsernameToLdapNameTransform($authname, $watchdog_tokens);
+        $transformname = $ldap_server->userUsernameToLdapNameTransform($authname, $watchdog_tokens);
         $replace = array($basedn, $transformname);
         $userdn = str_replace($search, $replace, $ldap_server->user_dn_expression);
         $bind_success = ($ldap_server->bind($userdn, $password, FALSE) == LDAP_SUCCESS);
@@ -701,16 +702,16 @@ function ldap_authentication_test_credentials($auth_conf, $sso_login, $authname,
 
   $watchdog_tokens['%result'] = $result;
   $watchdog_tokens['%auth_result'] = $authentication_result;
-  $watchdog_tokens['%err_text'] =  _ldap_authentication_err_text($authentication_result) ;
+  $watchdog_tokens['%err_text'] = _ldap_authentication_err_text($authentication_result) ;
   if ($detailed_watchdog_log) {
-    watchdog('ldap_authentication',  '%username : Authentication result id=%result auth_result=%auth_result (%err_text)', $watchdog_tokens, WATCHDOG_DEBUG);
+    watchdog('ldap_authentication', '%username : Authentication result id=%result auth_result=%auth_result (%err_text)', $watchdog_tokens, WATCHDOG_DEBUG);
   }
 
   return array($authentication_result, $ldap_user, $ldap_server);
 }
 
 function ldap_authentication_fail_response($authentication_result, $auth_conf, $detailed_watchdog_log, &$watchdog_tokens) {
-  $watchdog_tokens['%err_text'] =  _ldap_authentication_err_text($authentication_result);
+  $watchdog_tokens['%err_text'] = _ldap_authentication_err_text($authentication_result);
  // fail scenario 1.  ldap auth exclusive and failed  throw error so no other authentication methods are allowed
   if ($auth_conf->authenticationMode == LDAP_AUTHENTICATION_EXCLUSIVE) {
     if ($detailed_watchdog_log) {
@@ -754,7 +755,7 @@ function _ldap_authentication_err_text($error) {
     break;
 
     case LDAP_AUTHENTICATION_RESULT_FAIL_FIND:
-    $msg =  t('Sorry, unrecognized username or password.');
+    $msg = t('Sorry, unrecognized username or password.');
     break;
 
     case LDAP_AUTHENTICATION_RESULT_FAIL_DISALLOWED:
@@ -762,7 +763,7 @@ function _ldap_authentication_err_text($error) {
     break;
 
     case LDAP_AUTHENTICATION_RESULT_FAIL_CREDENTIALS:
-    $msg =  t('Sorry, unrecognized username or password.');
+    $msg = t('Sorry, unrecognized username or password.');
     break;
 
     case LDAP_AUTHENTICATION_RESULT_FAIL_GENERIC:
@@ -777,4 +778,3 @@ function _ldap_authentication_err_text($error) {
 
   return $msg;
 }
-
diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.info b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.info
index 97c0617c..53fd0491 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.info
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.info
@@ -16,9 +16,8 @@ files[] = tests/ldap_authentication.test
 
 test_dependencies[] = ldap_sso:ldap_sso
 
-; Information added by Drupal.org packaging script on 2017-08-27
-version = "7.x-2.3"
+; Information added by Drupal.org packaging script on 2018-08-13
+version = "7.x-2.4"
 core = "7.x"
 project = "ldap"
-datestamp = "1503841448"
-
+datestamp = "1534201086"
